Skip to main content

Authorizations

Authorization
string
header
required

One API-key record may allow cs2, rust, or both. Every checkout's allowedGames must be a subset of that key's allowed games; use one key record rather than separate CS2 and Rust keys.

Path Parameters

id
string
required
Pattern: ^ds_[A-Za-z0-9_-]{32}$

Response

Current state, including immutable player and merchant references

id
string
required
Pattern: ^ds_[A-Za-z0-9_-]{32}$
mode
string
required
Allowed value: "balance_deposit"
merchantReference
string
required
playerReference
string
required
creditReference
string
required

Stable unique reference for the merchant's player-ledger credit

eventSequence
integer
required
Required range: x >= 0
limits
object
required
allowedGames
enum<string>[]
required
Available options:
cs2,
rust
status
enum<string>
required
Available options:
created,
expired,
pending,
hold,
completed,
failed,
reverted
canCreditPlayer
boolean
required
hostedUrl
string<uri>
required
expiresAt
string<date-time>
required
acceptedAmount
object | null
reason
enum<string>
Available options:
failed,
declined,
canceled,
expired,
provider_rejected
holdUntil
string<date-time> | null
continuation
object
createdAt
string<date-time>
updatedAt
string<date-time>